> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usegizmo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Application



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/gizmo-sdk/openapi.documented.yml patch /applications/{id}
openapi: 3.1.0
info:
  title: Gizmo
  description: Gizmo REST API
  version: 1.0.0
servers:
  - url: https://core.usegizmo.com/v1
    description: Gizmo Production API
security:
  - bearerAuth: []
paths:
  /applications/{id}:
    patch:
      tags:
        - Application
      summary: Update Application
      operationId: updateApplication
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                loanPurpose:
                  $ref: '#/components/schemas/LoanPurpose'
                crmId:
                  type: string
                losId:
                  type: string
                primaryBorrowerDateOfBirth:
                  type: string
                primaryBorrowerSsn:
                  type: string
                primaryBorrowerEmail:
                  type: string
                primaryBorrowerFirstName:
                  type: string
                primaryBorrowerLastName:
                  type: string
                primaryBorrowerPhone:
                  type: string
                status:
                  $ref: '#/components/schemas/Milestone'
                subjectPropertyCity:
                  type: string
                subjectPropertyState:
                  $ref: '#/components/schemas/State'
                subjectPropertyStreetAddress:
                  type: string
                subjectPropertyZip:
                  type: string
                teamId:
                  type: string
      responses:
        '200':
          description: The updated Application
          content:
            application/json:
              schema:
                type: 'null'
        '400':
          description: Error updating Application
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  kind:
                    type: string
                    const: RateLimited
                  name:
                    type: string
                  retryAfter:
                    type: number
                required:
                  - kind
                  - name
                  - retryAfter
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Gizmo from '@gizmo-os/sdk';

            const client = new Gizmo({
              apiKey: process.env['GIZMO_API_KEY'], // This is the default and can be omitted
            });

            const application = await client.applications.update('id');

            console.log(application);
        - lang: Python
          source: |-
            import os
            from gizmo_sdk import Gizmo

            client = Gizmo(
                api_key=os.environ.get("GIZMO_API_KEY"),  # This is the default and can be omitted
            )
            application = client.applications.update(
                id="id",
            )
            print(application)
components:
  schemas:
    LoanPurpose:
      type: string
      enum:
        - purchase
        - refi
        - refiCashOut
    Milestone:
      type: string
      enum:
        - NEW
        - ATTEMPTED
        - CONTACTED
        - CREDIT_PULLED
        - PRE_APPROVED
        - APPLICATION
        - PROCESSING
        - SUBMITTAL
        - RESUBMITTAL
        - CONDITIONALLY_APPROVED
        - FINAL_APPROVED
        - DOCS_OUT
        - FUNDED
        - PURCHASED
        - COMPLETED
        - WITHDRAWN
        - DENIED
    State:
      type: string
      enum:
        - al
        - ak
        - az
        - ar
        - ca
        - co
        - ct
        - de
        - dc
        - fl
        - ga
        - hi
        - id
        - il
        - in
        - ia
        - ks
        - ky
        - la
        - me
        - md
        - ma
        - mi
        - mn
        - ms
        - mo
        - mt
        - ne
        - nv
        - nh
        - nj
        - nm
        - ny
        - nc
        - nd
        - oh
        - ok
        - or
        - pa
        - ri
        - sc
        - sd
        - tn
        - tx
        - ut
        - vt
        - va
        - wa
        - wv
        - wi
        - wy
      description: The two-letter state abbreviation in lowercase
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            data: {}
          required:
            - message
      required:
        - error
      description: Error response object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````